# vim: set ts=4 sw=4 et:

Name:           clpbar
Version:        1.11.1
Release:        1.2
Summary:        Command Line Progress Bar
# http://prdownloads.sourceforge.net/clpbar/bar_%{version}.tar.gz
Source:         bar_%{version}.tar.bz2
URL:            http://clpbar.sourceforge.net/
Group:          System/Console
License:        GNU General Public License (GPL)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  make gcc glibc-devel
BuildRequires:  autoconf automake libtool

%description
Command Line Progress Bar is a simple command line tool to display information
about a data transfer stream. It will display the number of bytes transfered,
the speed of the transfer, and if the size of the data stream is known it will
display the ETA.

%prep
%setup -q -n "bar-%{version}"

%build
%configure
%__make %{?_smp_flags}

%install
%makeinstall

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING TODO TROUBLESHOOTING
%{_bindir}/bar
%doc %{_mandir}/man1/bar.1%{ext_man}

%changelog
* Mon Mar 21 2011 pascal.bleser@opensuse.org
- update to 1.11.1:
  * bugfix: bar would not exit with a non-zero status in the event of a read or
    write error
* Fri Aug 27 2010 pascal.bleser@opensuse.org
- update to 1.11.0:
  * adds a display-numeric option for piping the output to dialog or zenity
  * adds a display-wait option to wait for the data stream to begin
  * adds customizable progress bar characters
  * adds a system-wide /etc/clpbarrc configuration file
  * fixes math errors on some 64-bit systems that would cause segmentation
    faults and infinite loops
* Tue Mar 25 2008 guru@unixtech.be
- moved to openSUSE Build Service
* Fri Jun 29 2007 guru@unixtech.be
- new upstream version
* Wed Apr  5 2006 guru@unixtech.be
- new upstream version
* Thu Mar 16 2006 guru@unixtech.be
- new upstream version
* Thu Dec  8 2005 guru@unixtech.be
- new package
